class AtmobPlatformInfo {
  AtmobPlatformInfo();

  /// 设备信息
  /// Android特有
  String? _oaid;
  String? _aaid;
  String? _androidId;
  String? _imei;
  String? _simImei0;
  String? _simImei1;
  String? _mac;

  //渠道信息
  String? _channelName;
  int? _appId;
  int? _tgPlatform;

  /// iOS特有
  String? _idfa;
  String? _idfv;

  /// 公共设备信息
  String? _machineId; //给web使用
  String? _brand;
  String? _model;
  String? _wifiName;

  /// 地理位置信息
  String? _region;
  double? _locLng;
  double? _locLat;

  AtmobPlatformInfo setChannelName(String? channelName) {
    _channelName = channelName;
    return this;
  }

  AtmobPlatformInfo setTgPlatform(int? tgPlatform) {
    _tgPlatform = tgPlatform;
    return this;
  }

  AtmobPlatformInfo setAppId(int? appId) {
    _appId = appId;
    return this;
  }

  AtmobPlatformInfo setOaid(String? oaid) {
    _oaid = oaid;
    return this;
  }

  AtmobPlatformInfo setAaid(String? aaid) {
    _aaid = aaid;
    return this;
  }

  AtmobPlatformInfo setAndroidId(String? androidId) {
    _androidId = androidId;
    return this;
  }

  AtmobPlatformInfo setImei(String? imei) {
    _imei = imei;
    return this;
  }

  AtmobPlatformInfo setSimImei0(String? simImei0) {
    _simImei0 = simImei0;
    return this;
  }

  AtmobPlatformInfo setSimImei1(String? simImei1) {
    _simImei1 = simImei1;
    return this;
  }

  AtmobPlatformInfo setMac(String? mac) {
    _mac = mac;
    return this;
  }

  AtmobPlatformInfo setIdfa(String? idfa) {
    _idfa = idfa;
    return this;
  }

  AtmobPlatformInfo setIdfv(String? idfv) {
    _idfv = idfv;
    return this;
  }

  AtmobPlatformInfo setMachineId(String? machineId) {
    _machineId = machineId;
    return this;
  }

  AtmobPlatformInfo setBrand(String? brand) {
    _brand = brand;
    return this;
  }

  AtmobPlatformInfo setModel(String? model) {
    _model = model;
    return this;
  }

  AtmobPlatformInfo setWifiName(String? wifiName) {
    _wifiName = wifiName;
    return this;
  }

  AtmobPlatformInfo setRegion(String? region) {
    _region = region;
    return this;
  }

  AtmobPlatformInfo setLocLng(double? locLng) {
    _locLng = locLng;
    return this;
  }

  AtmobPlatformInfo setLocLat(double? locLat) {
    _locLat = locLat;
    return this;
  }

  double? get locLat => _locLat;

  double? get locLng => _locLng;

  String? get region => _region;

  String? get wifiName => _wifiName;

  String? get model => _model;

  String? get brand => _brand;

  String? get machineId => _machineId;

  String? get idfv => _idfv;

  String? get idfa => _idfa;

  String? get mac => _mac;

  String? get simImei1 => _simImei1;

  String? get simImei0 => _simImei0;

  String? get imei => _imei;

  String? get androidId => _androidId;

  String? get aaid => _aaid;

  String? get oaid => _oaid;

  String? get channelName => _channelName;

  int? get tgPlatform => _tgPlatform;

  int? get appId => _appId;
}

final AtmobPlatformInfo atmobPlatformInfo = AtmobPlatformInfo();
